Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_PropertySeq Class Reference

`#include <PropertySeq.h>`

Inheritance diagram for TAO_Notify_PropertySeq:

[legend]
Collaboration diagram for TAO_Notify_PropertySeq:

[legend]
List of all members.

## Public Methods
| TAO_Notify_PropertySeq (void)
| Constuctor.
| ~TAO_Notify_PropertySeq ()
| Destructor.
int | init (const CosNotification::PropertySeq &prop_seq)
| Return 0 on success, -1 on error.
int | find (const char *name, CosNotification::PropertyValue &value) const
| Find the <value> for property <name>. Returns 0 on success.
int | populate (CosNotification::PropertySeq_var &prop_seq)
| Return -1 on error.
## Protected Types
typedef ACE_Hash_Map_Manager< ACE_CString, CosNotification::PropertyValue, ACE_SYNCH_NULL_MUTEX > | PROPERTY_MAP
| Property Map.
## Protected Attributes
PROPERTY_MAP | property_map_

## Member Typedef Documentation

typedef ACE_Hash_Map_Manager<ACE_CString, CosNotification::PropertyValue, ACE_SYNCH_NULL_MUTEX> TAO_Notify_PropertySeq::PROPERTY_MAP`[protected]`

| Property Map.

## Constructor & Destructor Documentation

TAO_Notify_PropertySeq::TAO_Notify_PropertySeq | ( | void |  | ) |

| Constuctor.

TAO_Notify_PropertySeq::~TAO_Notify_PropertySeq | ( |  | ) |

| Destructor.

## Member Function Documentation

int TAO_Notify_PropertySeq::find | ( | const char * | name,
|  | CosNotification::PropertyValue & | value
| ) | const

| Find the <value> for property <name>. Returns 0 on success.

int TAO_Notify_PropertySeq::init | ( | const CosNotification::PropertySeq & | prop_seq | ) |

| Return 0 on success, -1 on error. Reimplemented in TAO_Notify_AdminProperties.

int TAO_Notify_PropertySeq::populate | ( | CosNotification::PropertySeq_var & | prop_seq | ) |

| Return -1 on error.

## Member Data Documentation

PROPERTY_MAP TAO_Notify_PropertySeq::property_map_`[protected]`

The documentation for this class was generated from the following files:

- PropertySeq.h
- PropertySeq.cpp